Subject: Re: bug report O

From: Zheng Gengbing <[email-masked]>
Date: Sun, 21 Apr 1996 09:40:43 +0800 (EAT)

On Fri, 19 Apr 1996, Guansong Zhang wrote:

> I found the following statement in pku's b4.f
> 
> program main
>         call p(a=a,b)
> end
> 
> I don't know the meaning of it, and not sure if it should be parsed by parser,
> but our parser recognize it, therefor we have the following bugs,
> 

	a=a , the first a is a keyword . if  p is declared 
p(a,b) . then all call of p below is correct :

   p(4,5)
   p(a=4 , 5)
   p(b=5 , a=4)
   p(a=6 , b=8)

> See the following is what we get from dumpdep of above program,
> 
>     1-E   307     2-T     3-S    ----    ----                       VAR_REF
>     2-E   328    ----    ----    ----    ----                         EQ_OP
> 
> You will find the EQ_OP have no son, 1-E is not connected.
>

	Since the version of 3.1 deal the keyword inproperly , we changed
that . You can use 1.32 or 1.37 and find a correct AST .
 
> So the following is the unparse program
> 
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>       program main
>       call p ( .eq. , b)
>       end
> 
> Guansong
> 
> P.S. My working based on 1.31
> 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************